---------------------------------------------------------------------------------
-- BUILTIN ROUTINE REDEFINITIONS --
include std/core/declares.e
include std/core/callback.e

-- ALL STANDARD REDEFINITIONS OF EUPHORIA'S BUILTINS WILL BE IN HERE

-- these redefinitions should be considered permanent
without warning

-- redefine repeat, so we don't get an error for trying to repeat 0 times
constant repeat_rID = callback_id("repeat")
global function repeat(object x, integer len)
  if len = 0 then return {} end if
  return call_func(repeat_rID,{x,len})
end function

with warning
